import { DynamicTableDataInterface } from '../interfaces/dynamic-table-data.interface';
import { Observable } from 'rxjs';
import { DynamicTableOptionInterface } from '../interfaces/dynamic-table-option.interface';
import { DynamicTableColumnInterace } from '../interfaces/dynamic-table-column.interface';
export declare class DynamicTableDataProvider implements DynamicTableDataInterface<object> {
    getColumns(): Array<DynamicTableColumnInterace>;
    getColumnsStyleUrl(): string;
    getData(sort: string, order: string, page: number): Observable<object[]>;
    getIndicatorColor(item: object, rowIndex: number, groupIndex: number, groupName: string): string;
    getIndicatorSign(item: object, rowIndex: number, groupIndex: number, groupName: string): string;
    getTitle(item: object, rowIndex: number, groupIndex: number, groupName: string): string;
    getDescription(item: object, rowIndex: number, groupIndex: number, groupName: string): string;
    getAdditionalInfo(item: object, rowIndex: number, groupIndex: number, groupName: string): string;
    getHTMLIcon(item: object, rowIndex: number, groupIndex: number, groupName: string): string;
    getHTMLContentSummary(item: object, rowIndex: number, groupIndex: number, groupName: string): string;
    getHTMLAction(item: object, rowIndex: number, groupIndex: number, groupName: string): string;
    getOtherTextBased(item: object, rowIndex: number, groupIndex: number, groupName: string): string;
    performAction(action: string, item: object): void;
    getEventPublisher(): Observable<any>;
    getOptions(): DynamicTableOptionInterface[];
}
