import { DynamicTableColumnInterace } from '../interfaces/dynamic-table-column.interface';
export declare class DynamicTableUtils {
    static createHTMLAction(action: string, item: object): string;
    static createMouseOverEvent(mouseOverEvent: string, item: object): string;
    static createMouseOutEvent(mouseOutEvent: string, item: object): string;
    static createMiniFabButton(matColor: string, value: string, backgroundColor?: string): string;
    static convertToColumnIds(columns: Array<DynamicTableColumnInterace>): string[];
    static convertToColumnNames(columns: Array<DynamicTableColumnInterace>): string[];
    static getColumnNameById(columnId: string, columns: Array<DynamicTableColumnInterace>): string;
    static getColumnById(columnId: string, columns: Array<DynamicTableColumnInterace>): DynamicTableColumnInterace;
}
