var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DynamicExpandableTableComponent } from './dynamic-expandable-table.component';
import { ExpandableTableInstanceComponent } from './expandable-table/expandable-table-instance.component';
import { DynamicExpandableTableDataProvider } from './shared/dynamic-expandable-data.provider';
import { DynamicTableModule } from '../dynamic-table/dynamic-table.module';
var DynamicExpandableTableModule = /** @class */ (function () {
    function DynamicExpandableTableModule() {
    }
    DynamicExpandableTableModule_1 = DynamicExpandableTableModule;
    DynamicExpandableTableModule.forRoot = function () {
        //const palTableModuleWithProviders: ModuleWithProviders = DynamicTableModule.forRoot();
        //.concat(palTableModuleWithProviders.providers)
        return {
            ngModule: DynamicExpandableTableModule_1,
            providers: []
        };
    };
    DynamicExpandableTableModule = DynamicExpandableTableModule_1 = __decorate([
        NgModule({
            imports: [
                CommonModule,
                DynamicTableModule,
                DynamicTableModule.forRoot()
            ],
            exports: [
                ExpandableTableInstanceComponent,
                DynamicExpandableTableComponent
            ],
            declarations: [
                ExpandableTableInstanceComponent,
                DynamicExpandableTableComponent
            ],
            providers: [
                DynamicExpandableTableDataProvider
            ]
        })
    ], DynamicExpandableTableModule);
    return DynamicExpandableTableModule;
    var DynamicExpandableTableModule_1;
}());
export { DynamicExpandableTableModule };
//# sourceMappingURL=dynamic-expandable-table.module.js.map