import { DynamicExpandableTableDataInterface } from '../interfaces/dynamic-expandable-table-data.interface';
import { Observable } from 'rxjs';
import { DynamicExpandableTableOptionInterface } from '../interfaces/dynamic-expandable-table-option.interface';
import { DynamicExpandableTableExpandedItemColumnInterace } from '../interfaces/dynamic-expandable-table-expanded-item-column.interface';
import { DynamicTableDataProvider } from '../../dynamic-table/shared/dynamic-table-data-provider';
export declare class DynamicExpandableTableDataProvider extends DynamicTableDataProvider implements DynamicExpandableTableDataInterface<object> {
    private expandedItemTableColumns;
    private expandedItemDetailsTableColumns;
    private expandedDataSource;
    getExpandedItemTableColumns(expandedItem: object): DynamicExpandableTableExpandedItemColumnInterace[];
    getExpandedItemTableData(expandedItem: object): Observable<object[]>;
    getExpandedItemDetailsTableColumns(expandedItemDetails: object, expandedItem: Object): DynamicExpandableTableExpandedItemColumnInterace[];
    getExpandedItemDetailsTableData(expandedItemDetails: object, expandedItem: Object): Observable<object[]>;
    getOptions(): DynamicExpandableTableOptionInterface[];
}
