import { Injector } from '@angular/core';
import { SafeStyle } from '@angular/platform-browser';
import { MatTableDataSource } from '@angular/material';
import { Observable } from 'rxjs';
import { DynamicExpandableTableExpandedItemColumnInterace } from '../interfaces/dynamic-expandable-table-expanded-item-column.interface';
import { TableInstanceComponent } from '../../dynamic-table/table/table-instance.component';
export declare class ExpandableTableInstanceComponent extends TableInstanceComponent {
    private injector;
    static readonly EXPANDED_ITEM_EXPANDABLE_COLUMN_ID: string;
    expandedElement: any;
    expandedElement2: any;
    private palExpandableDataProvider;
    expandedItemColumns: string[];
    expandedItemDetailsDataSource: MatTableDataSource<any>;
    isLoadingExpandedItemResults: boolean;
    noExpandedItemDataFound: boolean;
    groupIndex: number;
    hideColumnsOfExpandedItems: boolean;
    hideColumnsOfExpandedItemDetails: boolean;
    constructor(injector: Injector);
    addStandardColumns(): void;
    selectItem(index: number): void;
    getColumnColor(columnId: string): SafeStyle;
    selectItem2(expandedItemDetails: object, expandedItem: object): void;
    getExpandedItemTableColumns(expandedItem: object): DynamicExpandableTableExpandedItemColumnInterace[];
    getExpandedItemTableColumnIds(expandedItem: object): string[];
    getExpandedItemTableData(expandedItem: object): Observable<object[]>;
    getExpandedItemDetailsTableColumns(expandedItemDetails: object, expandedItem: object): DynamicExpandableTableExpandedItemColumnInterace[];
    getExpandedItemDetailsTableColumnIds(expandedItemDetails: object, expandedItem: object): string[];
    private loadExpandedItemDetailsTableData(expandedItemDetails, expandedItem);
}
