var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { Injectable } from '@angular/core';
import { of } from 'rxjs';
import { DynamicTableDataProvider } from '../../dynamic-table/shared/dynamic-table-data-provider';
var DynamicExpandableTableDataProvider = /** @class */ (function (_super) {
    __extends(DynamicExpandableTableDataProvider, _super);
    function DynamicExpandableTableDataProvider() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.expandedItemTableColumns = [
            { columnId: 'expandedItemExpandableColumn', column: '', icon: 'timer', backgroundColor: '#494949', color: '#ffffff' },
            { columnId: 'icon', column: 'Icon', icon: '', backgroundColor: '', color: '' },
            { columnId: 'unit', column: 'Einheit', icon: '', backgroundColor: '', color: '' },
            { columnId: 'product', column: 'Produkt', icon: '', backgroundColor: '', color: '' },
            { columnId: 'article', column: 'Art', icon: '', backgroundColor: '', color: '' },
            { columnId: 'date-range', column: 'Wirkzeitraum', icon: '', backgroundColor: '', color: '' },
            { columnId: 'reason', column: 'Grund', icon: '', backgroundColor: '', color: '' },
            { columnId: 'physician-drug-administrator', column: 'Verordnet', icon: '', backgroundColor: '', color: '' },
            { columnId: 'comment', column: 'Bemerkung', icon: '', backgroundColor: '', color: '' },
        ];
        _this.expandedItemDetailsTableColumns = [
            { columnId: 'icon', column: 'Icon', icon: '', backgroundColor: '', color: '' },
            { columnId: 'unit', column: 'Einheit', icon: '', backgroundColor: '', color: '' },
            { columnId: 'product', column: 'Produkt', icon: '', backgroundColor: '', color: '' },
            { columnId: 'article', column: 'Art', icon: '', backgroundColor: '', color: '' },
            { columnId: 'date-range', column: 'Wirkzeitraum', icon: '', backgroundColor: '', color: '' },
            { columnId: 'reason', column: 'Grund', icon: '', backgroundColor: '', color: '' },
            { columnId: 'physician-drug-administrator', column: 'Verordnet', icon: '', backgroundColor: '', color: '' },
            { columnId: 'comment', column: 'Bemerkung', icon: '', backgroundColor: '', color: '' },
        ];
        _this.expandedDataSource = ['one1', 'two2', 'three3', 'four4', 'five5', 'six6', 'seven7', 'eight8'];
        return _this;
    }
    DynamicExpandableTableDataProvider.prototype.getExpandedItemTableColumns = function (expandedItem) {
        return this.expandedItemTableColumns;
    };
    DynamicExpandableTableDataProvider.prototype.getExpandedItemTableData = function (expandedItem) {
        return of(this.expandedDataSource);
    };
    DynamicExpandableTableDataProvider.prototype.getExpandedItemDetailsTableColumns = function (expandedItemDetails, expandedItem) {
        return this.expandedItemDetailsTableColumns;
    };
    DynamicExpandableTableDataProvider.prototype.getExpandedItemDetailsTableData = function (expandedItemDetails, expandedItem) {
        return of(this.expandedDataSource);
    };
    DynamicExpandableTableDataProvider.prototype.getOptions = function () {
        var options = [];
        var groupBy = {
            groupByField: 'approval',
            rules: [
                {
                    'operator': '>',
                    'value': 1
                }
            ]
        };
        var tableOptions = {
            groupName: 'Requested',
            groupExpressions: [
                {
                    group: groupBy,
                    operator: ''
                }
            ],
            groupItemRowColor: '',
            hideColumns: true,
            hideColumnsOfExpandedItems: true,
            hideColumnsOfExpandedItemDetails: true,
            columnOptions: []
        };
        options.push(tableOptions);
        return options;
    };
    DynamicExpandableTableDataProvider = __decorate([
        Injectable()
    ], DynamicExpandableTableDataProvider);
    return DynamicExpandableTableDataProvider;
}(DynamicTableDataProvider));
export { DynamicExpandableTableDataProvider };
//# sourceMappingURL=dynamic-expandable-data.provider.js.map