var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*******************************************************************
 * @project Project: PalliaCare Mobile App                         *
 * @copyright Copyright (c) Arpage AG - 2017 - All rights reserved *
 * @address Address: Tobelweg 4, CH-8700 Küsnacht ZH               *
 * @web Web: www.arpage.ch                                         *
 * @file File: GenericFormContainerDirective                       *
 * @author Gökhan Sari - <goekhan.sari@arpage.ch>                  *
 *******************************************************************/
import { Directive, ViewContainerRef, Input } from '@angular/core';
/**
 * Indicates the container name where the generated HTML will be injected.
 */
var DynamicTableContainerDirective = /** @class */ (function () {
    function DynamicTableContainerDirective(viewContainerRef) {
        this.viewContainerRef = viewContainerRef;
    }
    __decorate([
        Input('palTableContainer'),
        __metadata("design:type", String)
    ], DynamicTableContainerDirective.prototype, "palTableContainer", void 0);
    DynamicTableContainerDirective = __decorate([
        Directive({ selector: '[palTableContainer]' }),
        __metadata("design:paramtypes", [ViewContainerRef])
    ], DynamicTableContainerDirective);
    return DynamicTableContainerDirective;
}());
export { DynamicTableContainerDirective };
//# sourceMappingURL=dynamic-table.directive.js.map